
_set_up:

;ASK_RX.c,4 :: 		void set_up() { //funcion de configuracion del microcontrolador Pic16F88
;ASK_RX.c,5 :: 		ANSEL= 0;
	CLRF       ANSEL+0
;ASK_RX.c,6 :: 		CMCON = 0x07;
	MOVLW      7
	MOVWF      CMCON+0
;ASK_RX.c,7 :: 		TRISB0_bit=0;
	BCF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;ASK_RX.c,8 :: 		TRISB1_bit=0;
	BCF        TRISB1_bit+0, BitPos(TRISB1_bit+0)
;ASK_RX.c,9 :: 		TRISA3_bit=0;
	BCF        TRISA3_bit+0, BitPos(TRISA3_bit+0)
;ASK_RX.c,10 :: 		PORTB=0;
	CLRF       PORTB+0
;ASK_RX.c,11 :: 		RA3_bit=0;
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;ASK_RX.c,12 :: 		UART1_Init(1200);
	MOVLW      207
	MOVWF      SPBRG+0
	BSF        TXSTA+0, 2
	CALL       _UART1_Init+0
;ASK_RX.c,13 :: 		delay_ms(100);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_set_up0
	DECFSZ     R12+0, 1
	GOTO       L_set_up0
	NOP
	NOP
;ASK_RX.c,14 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_alarm:

;ASK_RX.c,15 :: 		void alarm() {
;ASK_RX.c,16 :: 		while(1){
L_alarm1:
;ASK_RX.c,17 :: 		RA3_bit=1;
	BSF        RA3_bit+0, BitPos(RA3_bit+0)
;ASK_RX.c,18 :: 		delay_ms(150);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_alarm3:
	DECFSZ     R13+0, 1
	GOTO       L_alarm3
	DECFSZ     R12+0, 1
	GOTO       L_alarm3
;ASK_RX.c,19 :: 		RA3_bit=0;
	BCF        RA3_bit+0, BitPos(RA3_bit+0)
;ASK_RX.c,20 :: 		delay_ms(150);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L_alarm4:
	DECFSZ     R13+0, 1
	GOTO       L_alarm4
	DECFSZ     R12+0, 1
	GOTO       L_alarm4
;ASK_RX.c,21 :: 		}
	GOTO       L_alarm1
;ASK_RX.c,22 :: 		}
L_end_alarm:
	RETURN
; end of _alarm

_pulse:

;ASK_RX.c,23 :: 		void pulse() {
;ASK_RX.c,24 :: 		RB0_bit=1, delay_ms(300), RB0_bit=0, delay_ms(300);
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L_pulse5:
	DECFSZ     R13+0, 1
	GOTO       L_pulse5
	DECFSZ     R12+0, 1
	GOTO       L_pulse5
	DECFSZ     R11+0, 1
	GOTO       L_pulse5
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L_pulse6:
	DECFSZ     R13+0, 1
	GOTO       L_pulse6
	DECFSZ     R12+0, 1
	GOTO       L_pulse6
	DECFSZ     R11+0, 1
	GOTO       L_pulse6
;ASK_RX.c,25 :: 		}
L_end_pulse:
	RETURN
; end of _pulse

_nextA1:

;ASK_RX.c,28 :: 		void nextA1() {
;ASK_RX.c,29 :: 		while(1){
L_nextA17:
;ASK_RX.c,30 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextA19
;ASK_RX.c,31 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,32 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextA110
;ASK_RX.c,33 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextA111:
	DECFSZ     R13+0, 1
	GOTO       L_nextA111
	DECFSZ     R12+0, 1
	GOTO       L_nextA111
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,34 :: 		while(1){
L_nextA112:
;ASK_RX.c,35 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextA114
;ASK_RX.c,36 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,37 :: 		if(dato == 'B') delay_ms(100), RB1_bit=1;
	MOVF       R0+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextA115
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextA116:
	DECFSZ     R13+0, 1
	GOTO       L_nextA116
	DECFSZ     R12+0, 1
	GOTO       L_nextA116
	NOP
	NOP
	BSF        RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L_nextA117
L_nextA115:
;ASK_RX.c,38 :: 		else delay_ms(100), RB1_bit=0;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextA118:
	DECFSZ     R13+0, 1
	GOTO       L_nextA118
	DECFSZ     R12+0, 1
	GOTO       L_nextA118
	NOP
	NOP
	BCF        RB1_bit+0, BitPos(RB1_bit+0)
L_nextA117:
;ASK_RX.c,39 :: 		}
L_nextA114:
;ASK_RX.c,40 :: 		}
	GOTO       L_nextA112
;ASK_RX.c,41 :: 		}
L_nextA110:
;ASK_RX.c,42 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextA119
;ASK_RX.c,43 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextA120:
	DECFSZ     R13+0, 1
	GOTO       L_nextA120
	DECFSZ     R12+0, 1
	GOTO       L_nextA120
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,44 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,45 :: 		}
L_nextA119:
;ASK_RX.c,46 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextA121
;ASK_RX.c,47 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextA122:
	DECFSZ     R13+0, 1
	GOTO       L_nextA122
	DECFSZ     R12+0, 1
	GOTO       L_nextA122
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,48 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,49 :: 		}
L_nextA121:
;ASK_RX.c,50 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextA123
;ASK_RX.c,51 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextA124:
	DECFSZ     R13+0, 1
	GOTO       L_nextA124
	DECFSZ     R12+0, 1
	GOTO       L_nextA124
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,52 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,53 :: 		}
L_nextA123:
;ASK_RX.c,54 :: 		}
L_nextA19:
;ASK_RX.c,55 :: 		}
	GOTO       L_nextA17
;ASK_RX.c,56 :: 		}
L_end_nextA1:
	RETURN
; end of _nextA1

_nextD1:

;ASK_RX.c,57 :: 		void nextD1() {
;ASK_RX.c,58 :: 		while(1){
L_nextD125:
;ASK_RX.c,59 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextD127
;ASK_RX.c,60 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,61 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextD128
;ASK_RX.c,62 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD129:
	DECFSZ     R13+0, 1
	GOTO       L_nextD129
	DECFSZ     R12+0, 1
	GOTO       L_nextD129
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,63 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,64 :: 		}
L_nextD128:
;ASK_RX.c,65 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextD130
;ASK_RX.c,66 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD131:
	DECFSZ     R13+0, 1
	GOTO       L_nextD131
	DECFSZ     R12+0, 1
	GOTO       L_nextD131
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,67 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,68 :: 		}
L_nextD130:
;ASK_RX.c,69 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextD132
;ASK_RX.c,70 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD133:
	DECFSZ     R13+0, 1
	GOTO       L_nextD133
	DECFSZ     R12+0, 1
	GOTO       L_nextD133
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,71 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,72 :: 		}
L_nextD132:
;ASK_RX.c,73 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextD134
;ASK_RX.c,74 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD135:
	DECFSZ     R13+0, 1
	GOTO       L_nextD135
	DECFSZ     R12+0, 1
	GOTO       L_nextD135
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,75 :: 		nextA1();
	CALL       _nextA1+0
;ASK_RX.c,76 :: 		}
L_nextD134:
;ASK_RX.c,77 :: 		}
L_nextD127:
;ASK_RX.c,78 :: 		}
	GOTO       L_nextD125
;ASK_RX.c,79 :: 		}
L_end_nextD1:
	RETURN
; end of _nextD1

_nextB1:

;ASK_RX.c,80 :: 		void nextB1() {
;ASK_RX.c,81 :: 		while(1){
L_nextB136:
;ASK_RX.c,82 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextB138
;ASK_RX.c,83 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,84 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextB139
;ASK_RX.c,85 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB140:
	DECFSZ     R13+0, 1
	GOTO       L_nextB140
	DECFSZ     R12+0, 1
	GOTO       L_nextB140
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,86 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,87 :: 		}
L_nextB139:
;ASK_RX.c,88 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextB141
;ASK_RX.c,89 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB142:
	DECFSZ     R13+0, 1
	GOTO       L_nextB142
	DECFSZ     R12+0, 1
	GOTO       L_nextB142
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,90 :: 		nextD1();
	CALL       _nextD1+0
;ASK_RX.c,91 :: 		}
L_nextB141:
;ASK_RX.c,92 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextB143
;ASK_RX.c,93 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB144:
	DECFSZ     R13+0, 1
	GOTO       L_nextB144
	DECFSZ     R12+0, 1
	GOTO       L_nextB144
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,94 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,95 :: 		}
L_nextB143:
;ASK_RX.c,96 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextB145
;ASK_RX.c,97 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB146:
	DECFSZ     R13+0, 1
	GOTO       L_nextB146
	DECFSZ     R12+0, 1
	GOTO       L_nextB146
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,98 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,99 :: 		}
L_nextB145:
;ASK_RX.c,100 :: 		}
L_nextB138:
;ASK_RX.c,101 :: 		}
	GOTO       L_nextB136
;ASK_RX.c,102 :: 		}
L_end_nextB1:
	RETURN
; end of _nextB1

_nextC1:

;ASK_RX.c,103 :: 		void nextC1() {
;ASK_RX.c,104 :: 		while(1){
L_nextC147:
;ASK_RX.c,105 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextC149
;ASK_RX.c,106 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,107 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextC150
;ASK_RX.c,108 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC151:
	DECFSZ     R13+0, 1
	GOTO       L_nextC151
	DECFSZ     R12+0, 1
	GOTO       L_nextC151
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,109 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,110 :: 		}
L_nextC150:
;ASK_RX.c,111 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextC152
;ASK_RX.c,112 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC153:
	DECFSZ     R13+0, 1
	GOTO       L_nextC153
	DECFSZ     R12+0, 1
	GOTO       L_nextC153
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,113 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,114 :: 		}
L_nextC152:
;ASK_RX.c,115 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextC154
;ASK_RX.c,116 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC155:
	DECFSZ     R13+0, 1
	GOTO       L_nextC155
	DECFSZ     R12+0, 1
	GOTO       L_nextC155
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,117 :: 		nextB1();
	CALL       _nextB1+0
;ASK_RX.c,118 :: 		}
L_nextC154:
;ASK_RX.c,119 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextC156
;ASK_RX.c,120 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC157:
	DECFSZ     R13+0, 1
	GOTO       L_nextC157
	DECFSZ     R12+0, 1
	GOTO       L_nextC157
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,121 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,122 :: 		}
L_nextC156:
;ASK_RX.c,123 :: 		}
L_nextC149:
;ASK_RX.c,124 :: 		}
	GOTO       L_nextC147
;ASK_RX.c,125 :: 		}
L_end_nextC1:
	RETURN
; end of _nextC1

_nextC:

;ASK_RX.c,126 :: 		void nextC() {
;ASK_RX.c,127 :: 		while(1){
L_nextC58:
;ASK_RX.c,128 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextC60
;ASK_RX.c,129 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,130 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextC61
;ASK_RX.c,131 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC62:
	DECFSZ     R13+0, 1
	GOTO       L_nextC62
	DECFSZ     R12+0, 1
	GOTO       L_nextC62
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,132 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,133 :: 		}
L_nextC61:
;ASK_RX.c,134 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextC63
;ASK_RX.c,135 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC64:
	DECFSZ     R13+0, 1
	GOTO       L_nextC64
	DECFSZ     R12+0, 1
	GOTO       L_nextC64
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,136 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,137 :: 		}
L_nextC63:
;ASK_RX.c,138 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextC65
;ASK_RX.c,139 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC66:
	DECFSZ     R13+0, 1
	GOTO       L_nextC66
	DECFSZ     R12+0, 1
	GOTO       L_nextC66
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,140 :: 		nextC1();
	CALL       _nextC1+0
;ASK_RX.c,141 :: 		}
L_nextC65:
;ASK_RX.c,142 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextC67
;ASK_RX.c,143 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextC68:
	DECFSZ     R13+0, 1
	GOTO       L_nextC68
	DECFSZ     R12+0, 1
	GOTO       L_nextC68
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,144 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,145 :: 		}
L_nextC67:
;ASK_RX.c,146 :: 		}
L_nextC60:
;ASK_RX.c,147 :: 		}
	GOTO       L_nextC58
;ASK_RX.c,148 :: 		}
L_end_nextC:
	RETURN
; end of _nextC

_nextB:

;ASK_RX.c,149 :: 		void nextB() {
;ASK_RX.c,150 :: 		while(1){
L_nextB69:
;ASK_RX.c,151 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextB71
;ASK_RX.c,152 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,153 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextB72
;ASK_RX.c,154 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB73:
	DECFSZ     R13+0, 1
	GOTO       L_nextB73
	DECFSZ     R12+0, 1
	GOTO       L_nextB73
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,155 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,156 :: 		}
L_nextB72:
;ASK_RX.c,157 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextB74
;ASK_RX.c,158 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB75:
	DECFSZ     R13+0, 1
	GOTO       L_nextB75
	DECFSZ     R12+0, 1
	GOTO       L_nextB75
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,159 :: 		nextC();
	CALL       _nextC+0
;ASK_RX.c,160 :: 		}
L_nextB74:
;ASK_RX.c,161 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextB76
;ASK_RX.c,162 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB77:
	DECFSZ     R13+0, 1
	GOTO       L_nextB77
	DECFSZ     R12+0, 1
	GOTO       L_nextB77
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,163 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,164 :: 		}
L_nextB76:
;ASK_RX.c,165 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextB78
;ASK_RX.c,166 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextB79:
	DECFSZ     R13+0, 1
	GOTO       L_nextB79
	DECFSZ     R12+0, 1
	GOTO       L_nextB79
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,167 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,168 :: 		}
L_nextB78:
;ASK_RX.c,169 :: 		}
L_nextB71:
;ASK_RX.c,170 :: 		}
	GOTO       L_nextB69
;ASK_RX.c,171 :: 		}
L_end_nextB:
	RETURN
; end of _nextB

_nextD:

;ASK_RX.c,172 :: 		void nextD() {
;ASK_RX.c,173 :: 		short int i=0;
;ASK_RX.c,174 :: 		while(1){
L_nextD80:
;ASK_RX.c,175 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_nextD82
;ASK_RX.c,176 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,177 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_nextD83
;ASK_RX.c,178 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD84:
	DECFSZ     R13+0, 1
	GOTO       L_nextD84
	DECFSZ     R12+0, 1
	GOTO       L_nextD84
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,179 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,180 :: 		}
L_nextD83:
;ASK_RX.c,181 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_nextD85
;ASK_RX.c,182 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD86:
	DECFSZ     R13+0, 1
	GOTO       L_nextD86
	DECFSZ     R12+0, 1
	GOTO       L_nextD86
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,183 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,184 :: 		}
L_nextD85:
;ASK_RX.c,185 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_nextD87
;ASK_RX.c,186 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD88:
	DECFSZ     R13+0, 1
	GOTO       L_nextD88
	DECFSZ     R12+0, 1
	GOTO       L_nextD88
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,187 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,188 :: 		}
L_nextD87:
;ASK_RX.c,189 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_nextD89
;ASK_RX.c,190 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_nextD90:
	DECFSZ     R13+0, 1
	GOTO       L_nextD90
	DECFSZ     R12+0, 1
	GOTO       L_nextD90
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,191 :: 		nextB();
	CALL       _nextB+0
;ASK_RX.c,192 :: 		}
L_nextD89:
;ASK_RX.c,193 :: 		}
L_nextD82:
;ASK_RX.c,194 :: 		}
	GOTO       L_nextD80
;ASK_RX.c,195 :: 		}
L_end_nextD:
	RETURN
; end of _nextD

_main:

;ASK_RX.c,197 :: 		void main() {
;ASK_RX.c,198 :: 		set_up();
	CALL       _set_up+0
;ASK_RX.c,199 :: 		while(1){
L_main91:
;ASK_RX.c,200 :: 		if(UART1_Data_Ready() == 1){
	CALL       _UART1_Data_Ready+0
	MOVF       R0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_main93
;ASK_RX.c,201 :: 		dato = UART1_Read();
	CALL       _UART1_Read+0
	MOVF       R0+0, 0
	MOVWF      _dato+0
;ASK_RX.c,203 :: 		if(dato == 'A') {
	MOVF       R0+0, 0
	XORLW      65
	BTFSS      STATUS+0, 2
	GOTO       L_main94
;ASK_RX.c,204 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main95:
	DECFSZ     R13+0, 1
	GOTO       L_main95
	DECFSZ     R12+0, 1
	GOTO       L_main95
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,205 :: 		nextD();
	CALL       _nextD+0
;ASK_RX.c,206 :: 		}
L_main94:
;ASK_RX.c,207 :: 		if(dato == 'B') {
	MOVF       _dato+0, 0
	XORLW      66
	BTFSS      STATUS+0, 2
	GOTO       L_main96
;ASK_RX.c,208 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main97:
	DECFSZ     R13+0, 1
	GOTO       L_main97
	DECFSZ     R12+0, 1
	GOTO       L_main97
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,209 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,210 :: 		}
L_main96:
;ASK_RX.c,211 :: 		if(dato == 'C') {
	MOVF       _dato+0, 0
	XORLW      67
	BTFSS      STATUS+0, 2
	GOTO       L_main98
;ASK_RX.c,212 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main99:
	DECFSZ     R13+0, 1
	GOTO       L_main99
	DECFSZ     R12+0, 1
	GOTO       L_main99
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,213 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,214 :: 		}
L_main98:
;ASK_RX.c,215 :: 		if(dato == 'D') {
	MOVF       _dato+0, 0
	XORLW      68
	BTFSS      STATUS+0, 2
	GOTO       L_main100
;ASK_RX.c,216 :: 		delay_ms(100), pulse() ;
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_main101:
	DECFSZ     R13+0, 1
	GOTO       L_main101
	DECFSZ     R12+0, 1
	GOTO       L_main101
	NOP
	NOP
	CALL       _pulse+0
;ASK_RX.c,217 :: 		alarm();
	CALL       _alarm+0
;ASK_RX.c,218 :: 		}
L_main100:
;ASK_RX.c,220 :: 		}
L_main93:
;ASK_RX.c,222 :: 		}
	GOTO       L_main91
;ASK_RX.c,224 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
